
/** generals **/

body {
    background-color: aqua;
    color: #fff;
    text-align: center;
}

p {
    font: 1em sans-serif;
}

/** split da thang **/

.split {
    height: 100%;
    width: 50%;
    position: fixed;
    z-index: 1;
    overflow-x: hidden;
    padding-top: 20px;
}

/** left thang **/
.left {
    left: 0;
    background-color: #008B29;
}
/** right thang **/
.right {
    right: 0;
    background-color: #fff;
    color: #008B29;
}
/** center da thang xy  **/
.centered {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

.centered img {
    width: 150px;
    border-radius: 50%;
}

/** da logo piky **/

.logo {
 display: block;
}


/** center da floating piky **/

.centered-logo {
    position: absolute;
    z-index: 999;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.centered-logo img {
    width: 60%;
}

/** da button tingy **/

.button-right {
    background-color: #4CAF50;
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font: 16px sans-serif;
    margin: 4px 2px;
    cursor: pointer;
}

.button-left {
    background-color: #fff;
    border: none;
    color: #4CAF50;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font: 16px sans-serif;
    margin: 4px 2px;
    cursor: pointer;
}


/** @media qs **/

@media only screen and (max-width: 320px) {
   
    p {
        font: 0.6em sans-serif;
    }

    h1 {
        font-size: 0.8em;
    }

    .flags {
        width: 20% !important;
    }

    /** center da floating piky **/

    .centered-logo {
        position: absolute;
        z-index: 999;
        top: 10%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .centered-logo img {
        width: 100%;
    }
   
    /** center da thang xy  **/
    .centered {
        position: absolute;
        top: 55%;
        left: 50%;
        transform: translate(-50%, -50%);
        text-align: center;
    }
}

@media only screen and (min-width: 320px) and (max-width: 375px) {
   
    p {
        font: 0.6em sans-serif;
    }

    h1 {
        font-size: 0.8em;
    }

    .flags {
        width: 20% !important;
    }

    /** center da floating piky **/

    .centered-logo {
        position: absolute;
        z-index: 999;
        top: 10%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .centered-logo img {
        width: 100%;
    }
   
    /** center da thang xy  **/
    .centered {
        position: absolute;
        top: 55%;
        left: 50%;
        transform: translate(-50%, -50%);
        text-align: center;
    }

}

@media only screen and (min-width: 375px) and (max-width: 425px) {
    
    p {
        font: 0.6em sans-serif;
    }

    h1 {
        font-size: 0.8em;
    }

    .flags {
        width: 20% !important;
    }

    /** center da floating piky **/

    .centered-logo {
        position: absolute;
        z-index: 999;
        top: 10%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .centered-logo img {
        width: 100%;
    }
   
    /** center da thang xy  **/
    .centered {
        position: absolute;
        top: 55%;
        left: 50%;
        transform: translate(-50%, -50%);
        text-align: center;
    }
}

@media only screen and (min-width: 425px) and (max-width: 768px) {
    p {
        font: 0.65em sans-serif;
    }

    h1 {
        font-size: 1em;
    }

    .flags {
        width: 20% !important;
    }

    /** center da floating piky **/

    .centered-logo {
        position: absolute;
        z-index: 999;
        top: 10%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .centered-logo img {
        width: 75%;
        padding-top: 1%;
    }
}

@media only screen and (min-width: 768px) and (max-width: 1024px) {
    p {
        font: 0.8em sans-serif;
    }

    h1 {
        font-size: 1.3em;
    }

    .flags {
        width: 20% !important;
    }

    /** center da floating piky **/

    .centered-logo {
        position: absolute;
        z-index: 999;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
    
    .centered-logo img {
        width: 48%;
    }
}

@media only screen and (min-width: 1024px) and (max-width: 1440px) {
    p {
        font: 0.9em sans-serif;
    }

    h1 {
        font-size: 1.4em;
    }

    .flags {
        width: 20% !important;
    }

    /** center da floating piky **/

    .centered-logo {
        position: absolute;
        z-index: 999;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
    
    .centered-logo img {
        width: 48%;
    }
}